site_name: CodeIgniter Shield
site_description: Documentation for the official Authentication and Authorization framework for CodeIgniter 4

theme:
  name: material
  logo: assets/flame.svg
  favicon: assets/favicon.ico
  icon:
    repo: fontawesome/brands/github
  font:
    text: Raleway
  palette:
    # Palette toggle for light mode
    - media: "(prefers-color-scheme: light)"
      scheme: codeigniter
      primary: custom
      accent: custom
      toggle:
        icon: material/brightness-7
        name: Switch to dark mode
    # Palette toggle for dark mode
    - media: "(prefers-color-scheme: dark)"
      scheme: slate
      primary: custom
      accent: custom
      toggle:
        icon: material/brightness-4
        name: Switch to light mode
  features:
    - navigation.instant
    - content.code.copy
    - navigation.footer
    - content.action.edit
    - navigation.top
    - search.suggest
    - search.highlight
    - search.share

extra:
  homepage: https://codeigniter.com
  generator: false

  social:
    - icon: material/github
      link: https://github.com/codeigniter4/shield
      name: GitHub
    - icon: material/twitter
      link: https://twitter.com/CodeIgniterPhp
      name: X
    - icon: material/forum
      link: https://forum.codeigniter.com
      name: Forum Codeigniter
    - icon: material/slack
      link: https://join.slack.com/t/codeigniterchat/shared_invite/zt-244xrrslc-l_I69AJSi5y2a2RVN~xIdQ
      name: Slack

site_url: https://shield.codeigniter.com/
repo_url: https://github.com/codeigniter4/shield
edit_uri: edit/develop/docs/
copyright: Copyright &copy; 2023-2024 CodeIgniter Foundation.

markdown_extensions:
  - pymdownx.superfences
  - pymdownx.highlight:
      use_pygments: false
  - admonition
  - pymdownx.details

extra_css:
  - https://cdn.jsdelivr.net/gh/highlightjs/cdn-release@11.8.0/build/styles/github.min.css
  - assets/css/codeigniter.css
  - assets/css/codeigniter_dark_mode.css

extra_javascript:
  - https://cdn.jsdelivr.net/gh/highlightjs/cdn-release@11.8.0/build/highlight.min.js
  - assets/js/hljs.js
  - assets/js/curl.min.js

plugins:
  - search
  - git-revision-date-localized:
      enable_creation_date: true
  - redirects:
      redirect_maps:
        'auth_actions.md': 'references/authentication/auth_actions.md'
        'authentication.md': 'references/authentication/authentication.md'
        'authorization.md': 'references/authorization.md'
        'banning_users.md': 'user_management/banning_users.md'
        'concepts.md': 'getting_started/concepts.md'
        'customization.md': 'customization/table_names.md'
        'events.md': 'references/events.md'
        'forcing_password_reset.md': 'user_management/forcing_password_reset.md'
        'install.md': 'getting_started/install.md'
        'quickstart.md': 'quick_start_guide/using_session_auth.md'
        'session_auth_event_and_logging.md': 'references/authentication/session.md'
        'testing.md': 'references/testing.md'
nav:
  - Home: index.md
  - Getting Started:
    - Concepts: getting_started/concepts.md
    - getting_started/install.md
    - getting_started/authenticators.md
    - getting_started/configuration.md
  - Quick Start Guide:
    - quick_start_guide/using_session_auth.md
    - quick_start_guide/using_authorization.md
  - Customization:
    - customization/table_names.md
    - customization/views.md
    - customization/route_config.md
    - customization/redirect_urls.md
    - customization/validation_rules.md
    - customization/user_provider.md
    - customization/adding_attributes_to_users.md
    - customization/extending_controllers.md
    - customization/integrating_custom_view_libs.md
    - customization/login_identifier.md
  - User Management:
    - user_management/managing_users.md
    - user_management/forcing_password_reset.md
    - user_management/banning_users.md
  - Guides:
    - guides/api_tokens.md
    - guides/api_hmac_keys.md
    - guides/mobile_apps.md
    - guides/strengthen_password.md
  - References:
      - references/controller_filters.md
      - Authentication:
        - references/authentication/authentication.md
        - references/authentication/session.md
        - Token Authenticator: references/authentication/tokens.md
        - HMAC Authenticator: references/authentication/hmac.md
        - Auth Actions: references/authentication/auth_actions.md
      - references/magic_link_login.md
      - references/authorization.md
      - references/events.md
      - references/testing.md
  - Addons:
    - JWT Authentication: addons/jwt.md
